Skip to main content
`Ctrl`+`K`

# DMPlexTransformSetDM

Set the base `DM` for the transform

## Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformSetDM(DMPlexTransform tr, DM dm)

## Input Parameters

- tr - The `DMPlexTransform` object

- dm - The original `DM` which will be transformed

## Note

The user does not typically call this, as it is called by `DMPlexTransformApply()`.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexTransform`, `DMPlexTransformGetDM()`, `DMPlexTransformApply()`, `DMPlexTransformCreate()`

## Level

intermediate

## Location

src/dm/impls/plex/transform/interface/plextransform.c

## Examples

src/ts/tutorials/ex30.c
src/dm/label/tutorials/ex1.c
src/dm/impls/plex/tutorials/ex11.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages